=== debian/control ===
Source: hamster-time-tracker
Section: gnome
Priority: optional
Maintainer: Project Hamster Team <team+project-hamster@tracker.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Matthijs Kooijman <matthijs@stdin.nl>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gir1.2-gtk-3.0,
 intltool,
 itstool,
 libglib2.0-bin,
 libglib2.0-dev,
 pkg-config,
 python3 (>= 3.5),
 python3-cairo,
 python3-dbus,
 python3-distutils,
 python3-gi,
 python3-xdg
Standards-Version: 4.5.0
Homepage: https://github.com/projecthamster/hamster
Vcs-Git: https://salsa.debian.org/projecthamster-team/hamster-time-tracker.git
Vcs-Browser: https://salsa.debian.org/projecthamster-team/hamster-time-tracker
Rules-Requires-Root: no

Package: hamster-time-tracker
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 libjs-jquery,
 libjs-jquery-ui,
 python3-cairo,
 python3-dbus,
 python3-distutils,
 python3-gi,
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends}
Recommends: gnome-shell-extension-hamster, yelp
Breaks: hamster-applet (<< 3.0.2)
Replaces: hamster-applet (<< 3.0.2)
Description: time tracking application for GNOME
 Project Hamster helps you to keep track of how much time you spend on various
 activities during the day.  Whenever you move from one task to another, you
 can change your current activity, or you can record time spent afterwards.
 .
 It can present graphical statistics of how long you have spent on each task,
 and may be useful for project management or keeping employee timesheets.
 .
 This package contains the background daemon and GNOME application, an
 extension to integrate into the gnome-shell top bar is separately available.

Package: hamster-applet
Architecture: all
Section: oldlibs
Depends: hamster-time-tracker, ${misc:Depends}
Description: Transitional package for hamster-applet
 This empty package depends on the new hamster-time-tracker package to ensure
 proper upgrades.
 .
 It can be safely removed once hamster has been installed.
