=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

# Note that debhelper does not support waf, so below all relevant build
# steps are overridden to run waf instead of the default autodetected
# buildsystem (setup.py probably).

override_dh_auto_clean:
	./waf distclean
	rm -rf waflib/__pycache__ waflib/Tools/__pycache__ waflib/extras/__pycache__

override_dh_auto_configure:
	./waf configure --prefix=/usr --skip-icon-cache-update --skip-gsettings

override_dh_auto_build:
	./waf build

override_dh_auto_install:
	./waf install --destdir=debian/hamster-time-tracker

override_dh_auto_test:
	# Can't run tests, need installed gsetting schema
	# python3 -m unittest tests.test_stuff

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

execute_after_dh_python3:
	# Also scan this directory for python scripts
	dh_python3 /usr/libexec
