=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d.*)\.tar\.gz%@PACKAGGE-$1.tar.gz%, \
      uversionmangle=s%-(rc\d+|beta|)%~$1%" \
https://github.com/projecthamster/hamster/tags \
	.*/archive/v?@ANY_VERSION@.tar.gz
