=== po/wscript ===
#!/usr/bin/env python2
# encoding: utf-8
# Thomas Nagy, 2006-2009 (ita)

def build(bld):
    bld(features = 'intltool_po', appname = 'hamster')
