=== debian/changelog ===
hamster-time-tracker (3.0.3-3) unstable; urgency=medium

  * Add patch to fix invalid escape error messages. Thanks to Martina
    Ferrari <tina@debian.org> (Closes: #1085633)
  * Add patch to fix invalid appstream metadata

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 14 Mar 2025 16:24:55 +0100

hamster-time-tracker (3.0.3-2) unstable; urgency=medium

  * Add explicit python3-setuptools to Build-Depends
  * Replace pkg-config build dependency with pkgconf (lintian warning).
  * Bump Standards-Version to 4.7.0
  * Add new patch to really remove code relying on distutils.
  * Update meta-information of patch that got merged upstream.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 22 Sep 2024 13:54:40 +0200

hamster-time-tracker (3.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python3-distutils from Build-Depends and Depends (Closes: #1065873) 

 -- Tobias Frost <tobi@debian.org>  Sun, 14 Jul 2024 08:56:19 +0200

hamster-time-tracker (3.0.3-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Add patch to make build reproducible. Thanks to Chris Lamb
    <lamby@debian.org> (Closes: #1028310)
  * Add missing patch
  * Add dependency to python3-gi-cairo (Closes: #1036661)
  * Use upstream-vcs-tag to import the upstream git history
  * Remove hamster-applet transitional package (Closes: #1038333)
  * New upstream release. Closes: #1054220

  [ Matthijs Kooijman ]
  * Drop python3-xdg dependency
  * Remove Drop-deprecated-call-to-bind_textdomain_codeset.patch
  * Run waf with python3

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 23 Nov 2023 23:40:13 +0000

hamster-time-tracker (3.0.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Raphaël Hertzog ]
  * Fix hamster to work with Python 3.11. Remove call to
    gettext.bind_textdomaine_codeset() which was removed in Python 3.11.
  * Update standards version to 4.6.2, no changes needed.
  * Fix pattern in watch file

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 10 Jan 2023 10:09:42 +0100
