=== debian/control ===
--- 
+++ 
@@ -11,14 +11,13 @@
  itstool,
  libglib2.0-bin,
  libglib2.0-dev,
- pkg-config,
- python3 (>= 3.5),
+ pkgconf,
+ python3,
  python3-cairo,
  python3-dbus,
- python3-distutils,
- python3-gi,
- python3-xdg
-Standards-Version: 4.5.0
+ python3-setuptools,
+ python3-gi
+Standards-Version: 4.7.0
 Homepage: https://github.com/projecthamster/hamster
 Vcs-Git: https://salsa.debian.org/projecthamster-team/hamster-time-tracker.git
 Vcs-Browser: https://salsa.debian.org/projecthamster-team/hamster-time-tracker
@@ -32,9 +31,8 @@
  libjs-jquery-ui,
  python3-cairo,
  python3-dbus,
- python3-distutils,
  python3-gi,
- python3-xdg,
+ python3-gi-cairo,
  ${misc:Depends},
  ${python3:Depends}
 Recommends: gnome-shell-extension-hamster, yelp
@@ -50,13 +48,3 @@
  .
  This package contains the background daemon and GNOME application, an
  extension to integrate into the gnome-shell top bar is separately available.
-
-Package: hamster-applet
-Architecture: all
-Section: oldlibs
-Depends: hamster-time-tracker, ${misc:Depends}
-Description: Transitional package for hamster-applet
- This empty package depends on the new hamster-time-tracker package to ensure
- proper upgrades.
- .
- It can be safely removed once hamster has been installed.
