=== debian/rules ===
--- 
+++ 
@@ -8,17 +8,17 @@
 # buildsystem (setup.py probably).
 
 override_dh_auto_clean:
-	./waf distclean
+	python3 ./waf distclean
 	rm -rf waflib/__pycache__ waflib/Tools/__pycache__ waflib/extras/__pycache__
 
 override_dh_auto_configure:
-	./waf configure --prefix=/usr --skip-icon-cache-update --skip-gsettings
+	python3 ./waf configure --prefix=/usr --skip-icon-cache-update --skip-gsettings
 
 override_dh_auto_build:
-	./waf build
+	python3 ./waf build
 
 override_dh_auto_install:
-	./waf install --destdir=debian/hamster-time-tracker
+	python3 ./waf install --destdir=debian/hamster-time-tracker
 
 override_dh_auto_test:
 	# Can't run tests, need installed gsetting schema
